SDL Library Documentation
Prev |  | Next

# SDL_WaitThread

## Name

SDL_WaitThread -- Wait for a thread to finish.

## Synopsis

    #include "SDL.h"
    #include "SDL_thread.h"

``void SDL_WaitThread`(SDL_Thread *thread, int *status);`

## Description

Wait for a thread to finish (timeouts are not supported).

## Return Value

The return code for the thread function is placed in the area pointed to by `status`, if `status` is not NULL.

## See Also

`SDL_CreateThread`

Prev | Home | Next
SDL_GetThreadID | Up | SDL_KillThread